package com.proma.Nerd.adapter;

import Entity.News;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import com.proma.Nerd.R;

import java.util.ArrayList;

/*
	 * Copyright (C) 2013 Arash Khangaldi (http://www.arashit.ir)
	 *
	 * Licensed under the Apache License, Version 2.0 (the "License");
	 * you may not use this file except in compliance with the License.
	 * You may obtain a copy of the License at
	 *
	 *      http://www.apache.org/licenses/LICENSE-2.0
	 * Unless required by applicable law or agreed to in writing, software
	 * distributed under the License is distributed on an "AS IS" BASIS,
	 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 * See the License for the specific language governing permissions and
	 * limitations under the License.
	 */
public class NewsAdapter extends ArrayAdapter<News> {
    LayoutInflater layoutInflater;
    ArrayList<News> news;

    public NewsAdapter(Context context, int textViewResourceId, ArrayList<News> objects) {
        super(context, textViewResourceId, objects);
        layoutInflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
         news = objects;

    }

    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        View view = layoutInflater.inflate(R.layout.component_new_row,null);

        ImageView twitr = (ImageView) view.findViewById(R.id.imageViewtwtr);
        ImageView fb = (ImageView) view.findViewById(R.id.imageViewfb);
        ImageView gplus = (ImageView) view.findViewById(R.id.imageViewgplus);

        twitr.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(getContext().getString(R.string.twtrPrefix)+news.get(position).getStory()));
                browserIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                getContext().startActivity(browserIntent);//To change body of implemented methods use File | Settings | File Templates.
            }
        });

        fb.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(getContext().getString(R.string.fbPrefix)+news.get(position).getStory()));
                browserIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                getContext().startActivity(browserIntent);//To change body of implemented methods use File | Settings | File Templates.
            }
        });

        gplus.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(getContext().getString(R.string.gplusPrefix)+news.get(position).getStory()));
                browserIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                getContext().startActivity(browserIntent);//To change body of implemented methods use File | Settings | File Templates.
            }
        });

        TextView title = (TextView)view.findViewById(R.id.textViewTitle);
        TextView author = (TextView)view.findViewById(R.id.textViewaAuthor);
        TextView content = (TextView)view.findViewById(R.id.textViewNEws);

        title.setText(news.get(position).getTitle());
        author.setText(news.get(position).getAuthor());
        content.setText(Html.fromHtml(news.get(position).getContent()));

        return view;
    }
}
